This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 169065 - gamin taking 99% CPU, looping continually over /usr/bin/*
gamin taking 99% CPU, looping continually over /usr/bin/*
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gamin (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-22 14:03 EDT by Charles R. Anderson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-27 00:49:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
strace -p of gam_server process (6.11 MB, application/x-gzip)
2005-09-22 14:11 EDT, Charles R. Anderson
no flags Details
gamin debug output (48.42 KB, text/plain)
2005-09-22 14:12 EDT, Charles R. Anderson
no flags Details

  None (edit)
Description Charles R. Anderson 2005-09-22 14:03:36 EDT
Description of problem:

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
 5446 cra       25   0  3804 2672  880 R 98.8  0.3 575:02.17 gam_server

Version-Release number of selected component (if applicable):

gamin-0.1.3-1.FC4

How reproducible:

Did not try.

Actual results:

USER       PID %CPU %MEM    VSZ   RSS TT       STAT  STARTED     TIME COMMAND
cra       5446 97.9  0.2   3804  2672 ?        R    04:15:04 09:36:07
/usr/libexec/gam_server


Expected results:

gam_server should not take all available CPU time.

Additional info:

See attachments.
Comment 1 Charles R. Anderson 2005-09-22 14:11:10 EDT
Created attachment 119159 [details]
strace -p of gam_server process

zcat gam_server-strace.txt.gz | awk -F, '{print $1}' | sort | uniq -c | sort -n


shows about half of the files in /usr/bin being stat64'ed 89 times each:

   89 stat64("/usr/bin/4ssd"
     89 stat64("/usr/bin/4ss_manager"
     89 stat64("/usr/bin/aatest"
     89 stat64("/usr/bin/ac"
     89 stat64("/usr/bin/aclocal-1.9"
     89 stat64("/usr/bin/addftinfo"
     89 stat64("/usr/bin/akregator"
     89 stat64("/usr/bin/allneeded"
     89 stat64("/usr/bin/amidi"
     89 stat64("/usr/bin/amixer"
...
Comment 2 Charles R. Anderson 2005-09-22 14:12:58 EDT
Created attachment 119160 [details]
gamin debug output

Here is the output generated by kill -USR2 <pid_of_gam_server>
Comment 3 Charles R. Anderson 2005-09-22 14:15:37 EDT
Not sure how useful this is, but here is a backtrace from gdb:

Program received signal SIGINT, Interrupt.
0x0047e402 in ?? ()
(gdb) where
#0  0x0047e402 in ?? ()
#1  0x00a0003b in ___xstat64 (vers=3, name=0xa69ff4 "<\235¦", buf=0xbff1322c) at
../sysdeps/unix/sysv/linux/xstat64.c:50
#2  0x0804cb8c in poll_file (node=0x8a79948) at /usr/include/sys/stat.h:366
#3  0x0804d93b in gam_poll_scan_directory_internal (dir_node=Variable "dir_node"
is not available.
) at gam_poll.c:691
#4  0x0804dacc in gam_poll_scan_directory (path=0x899cb88 "/usr/bin") at
gam_poll.c:1151
#5  0x08052ca3 in gam_dnotify_pipe_handler (user_data=0x894a988) at
gam_dnotify.c:316
#6  0x037c44fc in g_io_unix_dispatch (source=0x894aa78, callback=0x8052bb4
<gam_dnotify_pipe_handler>, user_data=0x0) at giounix.c:162
#7  0x0379e4ce in IA__g_main_context_dispatch (context=0x8949f38) at gmain.c:1934
#8  0x037a14d6 in g_main_context_iterate (context=0x8949f38, block=1,
dispatch=1, self=0x8945018) at gmain.c:2565
#9  0x037a17c3 in IA__g_main_loop_run (loop=0x894b140) at gmain.c:2769
#10 0x0804b01a in main (argc=1, argv=0xbff14894) at gam_server.c:368
#11 0x00959d5f in __libc_start_main (main=0x804ae77 <main>, argc=1,
ubp_av=0xbff14894, init=0x80534cc <__libc_csu_init>, fini=0x805351c
<__libc_csu_fini>, rtld_fini=0x9351ad <_dl_fini>, stack_end=0xbff1488c) at
../sysdeps/generic/libc-start.c:216
#12 0x0804a171 in _start ()
(gdb) continue
Comment 4 Charles R. Anderson 2005-09-22 14:18:23 EDT
I occasionally see these from gdb.  The "Debugging Gamin" website at
http://www.gnome.org/~veillard/gamin/debug.html#Debugging says to tell gdb to
not stop on SIG33.  I did the same for SIG34, since I never saw a SIG33 here.

Program received signal SIG34, Real-time event 34.

Program received signal SIG34, Real-time event 34.

Program received signal SIG34, Real-time event 34.
Comment 5 morgan read 2005-11-05 16:57:22 EST
 PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
4682 morgan    25   0  2340 1160  872 R 83.7  0.5   0:48.99 gam_server

Like to confirm this bug?
I guess the above confirms it?
It occures when I connect the web.

My version is gamin-0.1.1-3.FC4
But, couldn't find anything newer in updates?

All, the other gam_server bugs like this seem to be a year ago.
M.
Comment 6 Matthias Clasen 2006-11-27 00:49:27 EST
Thank you for the bug report. However, Fedora Project no longer maintains this
version of the product. Please upgrade to the latest version and open a new bug
if the problem persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older
releases, and if you believe this bug is interesting to them, please report the
problem against Fedora Legacy component

Note You need to log in before you can comment on or make changes to this bug.